key: azure
title: Azure Active Directory
description: Azure Active Directory (Azure AD) is Microsoft’s multi-tenant, cloud-based directory, and identity management service that combines core directory services, application access management, and identity protection into a single solution.
author: requarks.io
logo: https://static.requarks.io/logo/azure.svg
color: blue darken-3
website: https://azure.microsoft.com/services/active-directory/
isAvailable: true
useForm: false
scopes:
  - profile
  - email
  - openid
props:
  entryPoint:
    type: String
    title: Identity Metadata Endpoint
    hint: The metadata endpoint provided by the Microsoft Identity Portal that provides the keys and other important information at runtime.
    order: 1
  clientId:
    type: String
    title: Client ID
    hint: The client ID of your application in AAD (Azure Active Directory)
    order: 2
  cookieEncryptionKeyString:
    type: String
    title: Cookie Encryption Key String
    hint: Random string with 44-character length.  Setting this enables workaround for Chrome's SameSite cookies.
    order: 3
